package ink.wgink.module.examine.pojo.vos.question;

import ink.wgink.annotation.CheckEmptyAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: QuestionOptionsVO
 * @Description: 试题选项
 * @Author: WenG
 * @Date: 2020-09-09 21:00
 * @Version: 1.0
 **/
@ApiModel
public class QuestionOptionsVO {

    @ApiModelProperty(name = "questionId", value = "试题")
    private String questionId;
    @ApiModelProperty(name = "option", value = "标识")
    @CheckEmptyAnnotation(name = "标识")
    private String option;
    @ApiModelProperty(name = "content", value = "内容")
    private String content;

    public String getQuestionId() {
        return questionId == null ? "" : questionId.trim();
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getOption() {
        return option == null ? "" : option.trim();
    }

    public void setOption(String option) {
        this.option = option;
    }

    public String getContent() {
        return content == null ? "" : content.trim();
    }

    public void setContent(String content) {
        this.content = content;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"questionId\":\"")
                .append(questionId).append('\"');
        sb.append(",\"option\":\"")
                .append(option).append('\"');
        sb.append(",\"content\":\"")
                .append(content).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
